package com.sqx.modules.bl.collect.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.modules.bl.collect.entity.CollectMassage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface CollectMassageDao extends BaseMapper<CollectMassage> {
    IPage<CollectMassage> findPage(Page<CollectMassage> page, @Param("params") CollectMassage collectMassage);

    int insert(CollectMassage collectMassage);

    int updateById(CollectMassage collectMassage);

    CollectMassage selectCollectMassageByUserId(CollectMassage collectMassage);
}